
--[[
 Copyright (C) 2022  Glitchapp

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


The license text can be found in GPL-2.0.txt.

Description / resume of the functionality of each function written with assistance from ChatGPT

--]]

--[[
The function musicload() initializes various variables and loads several assets related to music.

    The playButton variable defines a button object with text, position, color, font, and other properties.
    The locksymbol variable loads an image file for a lock symbol.
    The function loads several modules related to equalizer, including equalizer.lua, luafft.lua, and complex.lua.
    The function creates two fonts, font1 and font3, with sizes 12 and 36 (3 times bigger) respectively.
    The function initializes several variables related to a CD player and its position, including cdspeed, cdplaying, cdangle, trackspositionx, trackspositiony, bcspace, author, currenttrackname, and currenttrackdesc.
    The function loads several image files related to music, including cdasset.webp and covercd.webp.
    The function initializes several string variables that are likely used as credits for the music tracks.
--]]

function musicload()

-- Load music equalizer
	require ("lib/equalizer/equalizer")
	require ("lib/equalizer/luafft")
	require ("lib/equalizer/complex")


--controls

playButton = {
	text = playbuttontext,
	x = 800,
	y = 900, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfish,
}

locksymbol = love.graphics.newImage(WebP.loadImage(love.filesystem.newFileData("assets/locki.webp")))

	require ("lib/equalizer/equalizer")
	require ("lib/equalizer/luafft")
	require ("lib/equalizer/complex")
	--equalizerload()
font1 = love.graphics.newFont(12) -- standard font
font3 = love.graphics.newFont(12*3) -- three times bigger


cdspeed = 32
cdplaying=false
cdangle = 0
trackspositionx=1000
trackspositiony=200
bcspace=80
author="none"
currenttrackname=""
currenttrackdesc=""

--cdasset=love.graphics.newImage(WebP.loadImage(love.filesystem.newFileData("externalassets/music/player/cdasset.webp")))
--covercd=love.graphics.newImage(WebP.loadImage(love.filesystem.newFileData("externalassets/music/player/covercd.webp")))
--covercd=love.graphics.newImage(WebP.loadImage(love.filesystem.newFileData("externalassets/music/player/bckpoeticheart1.jpeg")))


pixelspheret=[[Alex Smith]]
pixelspheret2=[[pixelsphere.org]]
pixelspheret3=[[https://cynicmusic.com]]

pixelenchanted=[[enchanted_tiki_86]]
pixelenchanted2=[[https://opengameart.org/content/calm-ambient-3-Calm Ambient 3]]
pixelaquaria=[[Aquaria]]
pixelaquaria2=[[https://opengameart.org/content/aquaria]]
pixelsirens=[[Sirens in darkness]]
pixelsirens2=[[https://opengameart.org/content/sirens-in-darkness]]
pixelsong18=[[Crystal cave song]]
pixelsong182=[[https://opengameart.org/content/crystal-cave-song18]]
pixelsong21=[[Mysterious ambient song]]
pixelsong212=[[https://opengameart.org/content/mysterious-ambience-song21]]
pixelvapor=[[Calm Piano 1 (Vaporware)]]
pixelvapor2=[[https://opengameart.org/content/calm-piano-1-vaporware]]
pixelcalmrelax=[[Calm Relax 1 (Synthwave_421k)]]
pixelcalmrelax2=[[https://opengameart.org/content/calm-relax-1-synthwave-421k]]
pixelcalmambientI=[[Calm Ambient 1 (Synthwave 4k]]
pixelcalmambientI2=[[https://opengameart.org/content/calm-relax-1-Calm Relax 1 (Synthwave]]
pixelcalmambientII=[[Calm Ambient 2 (Synthwave 15k) ]]
pixelcalmambientII2=[[https://opengameart.org/content/calm-ambient-2-synthwave-15k]]
pixelcalmambientIII=[[Calm Ambient 3 (Lifewave 2k)]]
pixelcalmambientIII2=[[https://opengameart.org/content/calm-ambient-3-lifewave-2k]]
pixelanotheraugust=[[Another August ]]
pixelanotheraugust2=[[https://opengameart.org/content/another-august#comment-form]]
pixelsevenandeight=[[Icy Realm]]
pixelsevenandeight2=[[https://opengameart.org/content/icy-realm-seven-and-eight#comment-form]]
pixelnovembersnow=[[November Snow]]
pixelnovembersnow2=[[https://opengameart.org/content/november-snow#comment-form]]
pixelHappyLullaby=[[Happy Lullaby]]
pixelHappyLullaby2=[[https://opengameart.org/content/happy-lullaby-song17]]
pixelTheHex=[[The Hex]]
pixelTheHex2=[[https://opengameart.org/content/the-hex#comment-form]]

isaiah658t=[[isaiah658]]
isaiah658t2=[[https://opengameart.org/users/isaiah658]]
isaiahambient=[[Ambient Relaxing Loop]]
isaiahambient2=[[https://opengameart.org/content/ambient-relaxing-loop]]
isaiahunderwater=[[Underwater ambient pad]]
isaiahunderwater2=[[https://opengameart.org/content/underwater-ambient-pad]]

umplixt=[[Umplix]]
umplixt2=[[https://opengameart.org/users/umplix]]
umplixdeepsea=[[Deep sea]]
umplixdeepsea2=[[https://opengameart.org/content/deep-sea]]
umplixsinkingfeeling=[[Sinking feeling]]
umplixsinkingfeeling2=[[https://opengameart.org/content/sinking-feeling]]

ericmatyast=[[Eric Matyas]]
ericmatyast2=[[http://soundimage.org]]
ericmatyast3=[[https://opengameart.org/users/eric-matyas]]
ericmatyashyp=[[Hypnotic Puzzle (Looping)]]
ericmatyashyp2=[[http://soundimage.org/looping-music/]]
ericmatyasdream=[[Dreaming of Reefs]]
ericmatyasdream2=[[http://soundimage.org/looping-music/]]

ericmatyastislandofmysteries=[[Island of mysteries]]
ericmatyastislandofmysteries2=[[https://opengameart.org/content/island-of-mysteries-looping]]

ericmatyastMonkeyIslandBand=[[Monkey island band]]
ericmatyastMonkeyIslandBand2=[[https://opengameart.org/content/monkey-island-band]]

ericmatyastPuzzleGame=[[Puzzle game]]
ericmatyastPuzzleGame2=[[https://opengameart.org/content/puzzle-game-2]]

ericmatyastTheyarehere=[[They are here]]
ericmatyastTheyarehere2=[[https://opengameart.org/content/theyre-here]]

cleytonkauffmant=[[Cleyton Kauffman]]
cleytonkauffmant2=[[https://soundcloud.com/cleytonkauffman]]
cleytonkauffmant3=[[https://opengameart.org/users/cleytonkauffman]]
cleytonkauffmanunderwaterI=[[Underwater theme I]]
cleytonkauffmanunderwaterI2=[[https://opengameart.org/content/underwater-theme]]
cleytonkauffmanunderwaterII=[[Underwater theme II]]
cleytonkauffmanunderwaterII2=[[https://opengameart.org/content/underwater-theme-ii]]

marcelofgt=[[Marcelo Fernandez]]
marcelofgt2=[[soundcloud.com/marcelofernandezmusic]]
marcelofgt3=[[www.marcelofernandezmusic.com]]
marcelofgairy=[[Airy ambience]]
marcelofgairy2=[[https://opengameart.org/content/airy-ambience]]

springyspringot=[[SpringySpringo]]
springyspringot2=[[https://opengameart.org/users/springyspringo]]
springywater=[[Water ambience]]
springywater2=[[https://opengameart.org/content/water-ambience]]

tokygeishat=[[TokyoGeisha]]
tokygeishat2=[[https://opengameart.org/users/tokyogeisha]]
tokygeishaambience=[[Dream Ambience]]
tokygeishaambience2=[[https://opengameart.org/content/dream-ambience]]
tokygeishaambienceII=[[Dream Ambience II]]
tokygeishaambienceII2=[[https://opengameart.org/content/dream-2-ambience]]
tokygeishacreep=[[Creepy]]
tokygeishacreep2=[[https://opengameart.org/content/creepy]]

poinlt=[[poinl]]
poinlt2=[[https://opengameart.org/users/poinl]]
poinlnautilus=[[Nautilus]]
poinlnautilus2=[[https://opengameart.org/content/nautilus]]

hectavext=[[hectavex]]
hectavext2=[[https://opengameart.org/users/hectavex]]
hectavext3=[[http://glassocean.net]]
hectavexrupture=[[Rupture]]
hectavexrupture2=[[https://opengameart.org/content/rupture]]
hectavexrupturechorus=[[Rupture]]
hectavexrupturechorus2=[[https://opengameart.org/content/rupture (Light chorus remix by Glitchapp)]]
hectavexova=[[Ova]]
hectavexova2=[[https://opengameart.org/content/ova]]
hectavexvanish=[[Vanish]]
hectavexvanish2=[[https://opengameart.org/content/vanish]]

tedkerrt=[[Tedd Kerr]]
tedkerrt2=[[https://opengameart.org/users/wolfgang]]
tedkerrt3=[[]]
tedkerrcrashedship=[[Sci-Fi Ambient - Crashed Ship]]
tedkerrcrashedship2=[[https://opengameart.org/content/sci-fi-ambient-crashed-ship]]
tedkerrscifi=[[Space / Scifi Ambient]]
tedkerrscifi2=[[https://opengameart.org/content/space-scifi-ambient]]

isaot=[[SOUND AIRYLUVS]]
isaot2=[[]]
isaot3=[[https://airyluvs.com/]]
isaoupbeat=[[Upbeat Refreshing Commercial]]
isaoupbeat2=[[https://opengameart.org/content/upbeat-refreshing-commercial]]
isaoepicdance=[[Epic Melodic Electronic Dance Music]]
isaoepicdance2=[[https://opengameart.org/content/epic-melodic-electronic-dance-music]]

viktorkraus=[[Viktor Kraus]]
viktorkraus2=[[https://opengameart.org/users/viktor-kraus]]
viktorkraus3=[[]]
arobotswaytoheaven=[[A robot's way to heaven]]
arobotswaytoheaven2=[[https://opengameart.org/content/a-robots-way-to-heaven]]

glitchappt=[[Glitchapp]]
glitchappt2=[[https://glitchapp.codeberg.page/]]
glitchappt3=[[]]
hexhappylullaby=[[
Tracks by the Cynic Project
cynicmusic.com / pixelsphere.org / Alex Smith & Steven Ruud:

- Happy lullaby by The Cynic Project
  cynicmusic.com / pixelsphere.org 
  https://opengameart.org/content/happy-lullaby-song17



- The hex by Steven Ruud (https://opengameart.org/content/the-hex)
]]
hexhappylullaby2=[[Remix by glitchapp]]
glitchappremix1=[[
Tracks by the Cynic Project 
cynicmusic.com / pixelsphere.org / Alex Smith:

- Calm Piano 1 (Vaporware) by cynicmusic
	https://opengameart.org/content/calm-piano-1-vaporware
- Enchanted_tiki by cynicmusic
	https://opengameart.org/content/enchanted-tiki-86

Dream ambience by Tokyo Geisha
	https://opengameart.org/content/dream-ambience

Ambient Loop by isaiah658 
	https://opengameart.org/content/underwater-ambient-pad
	
Rupture by Hectavex:
https://opengameart.org/content/rupture
]]
glitchappremix1_2=[[Remix1 by glitchapp]]

glitchappremix2=[[
Tracks by the Cynic Project 
cynicmusic.com / pixelsphere.org / Alex Smith & Steven Ruud:

- Calm Piano 1 (Vaporware) by cynicmusic
	https://opengameart.org/content/calm-piano-1-vaporware
- Enchanted_tiki by cynicmusic
	https://opengameart.org/content/enchanted-tiki-86


- The hex by Steven Ruud
	https://opengameart.org/content/the-hex

Dream ambience by Tokyo Geisha
	https://opengameart.org/content/dream-ambience

Ambient Loop by isaiah658 
	https://opengameart.org/content/underwater-ambient-pad

A robots way to heaven by Viktor Kraus 
	https://opengameart.org/content/a-robots-way-to-heaven
]]
glitchappremix2_2=[[Remix by glitchapp]]
glitchappremix35=[[
- Epic Melodic Electronic Dance Music by ISAo
	https://opengameart.org/content/epic-melodic-electronic-dance-music
	https://www.patreon.com/airyluvs 
	https://airyluvs.com/
	https://www.youtube.com/c/ISAoGameMusic




- The hex by Steven Ruud
	https://opengameart.org/content/the-hex
	https://www.pixelsphere.org
]]
glitchappremix35_2=[[Remix by glitchapp]]
glitchapprupturem1=[[
-Rupture by hectavex
	https://opengameart.org/content/rupture - http://glassocean.net.
]]
glitchapprupturem1_2=[[Remix by glitchapp]]


glitchappremix4_1=[[Tracks by Hectavex and poinl]]
glitchappremix4_2=[[

Nautilus by poinl                                    
https://opengameart.org/content/nautilus

Vanish by hectavex
https://opengameart.org/content/vanish

]]

glitchappaquariaremix=[[
Tracks by the Cynic Project 
cynicmusic.com / pixelsphere.org / Alex Smith:
- Aquaria
https://opengameart.org/content/aquaria

- The hex by Steven Ruud
	https://opengameart.org/content/the-hex
	https://www.pixelsphere.org
]]

glitchappaquariaremix2=[[Remix1 by glitchapp]]
glitchappremix1_2=[[Remix1 by glitchapp]]

classictrackst=[[Classic tracks]]
classictrackst2=[[]]
classictrackst3=[[]]

kufriksongt=[[Kufrik]]
kufriksongt2=[[]]

classicmenusongt=[[]]
classicmenusongt2=[[]]

rybky1t=[[]]
rybky1t2=[[]]
rybky2t=[[]]
rybky2t2=[[]]
rybky3t=[[]]
rybky3t2=[[]]
rybky4t=[[]]
rybky4t2=[[]]
rybky5t=[[]]
rybky5t2=[[]]
rybky6t=[[]]
rybky6t2=[[]]
rybky7t=[[]]
rybky7t2=[[]]
rybky8t=[[]]
rybky8t2=[[]]
rybky9t=[[]]
rybky9t2=[[]]
rybky10t=[[]]
rybky10t2=[[]]
rybky11t=[[]]
rybky11t2=[[]]
rybky12t=[[]]
rybky12t2=[[]]
rybky13t=[[]]
rybky13t2=[[]]
rybky14t=[[]]
rybky14t2=[[]]
rybky15t=[[]]
rybky15t2=[[]]

--[[The first button is a "Return" button, with the text "Return" displayed on it. It is located at coordinates (1000, 100) on the screen and has a rotation value of 0 degrees. Its size is not explicitly defined, but its sx (scale x) value is set to 1. It has not been hovered over by the mouse, so its "hovered" attribute is set to false. Its default color is white, with RGB values of (1, 1, 1), and its color when hovered over is yellowish-green, with RGB values of (1, 1, 0). It uses a font called "poorfishmiddle".

Based on the information provided in the descriptions, here is what I believe the purpose of each button to be:

    ReturnButton: This button likely serves as a way for the user to go back to a previous screen or menu.
    stopbutton: This button likely serves as a way for the user to stop a process or action.
    synthwave421kb: This button likely represents a track or audio option called "Calm Relax 1 (Synthwave_421k)" that the user can select to listen to.
    synthwave4kb: This button likely represents a track or audio option called "Calm Ambient 1 (Synthwave 4k)" that the user can select to listen to.
    aquariab: This button likely represents a track or audio option called "Aquaria" that the user can select to listen to.
--]]
ReturnButton = {
	text = "Return",
	x = 1000,
	y = 100, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

musicbackwardbutton = {
	text = "<<",
	x = 1100,
	y = 1300, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

musicstopbutton = {
	text = "stop",
	x = 1200,
	y = 1300, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

musicforwardbutton = {
	text = ">>",
	x = 1350,
	y = 1300, 
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

synthwave421kb = {
	text = "Calm Relax 1 (Synthwave_421k)",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

synthwave4kb = {
	text = "Calm Ambient 1 (Synthwave 4k)",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

aquariab = {
	text = "Aquaria",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

synthwave15kb = {
	text = "Calm Ambient 2 (Synthwave 15k)",
	x = trackspositionx,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

lifewave2kb = {
	text = "Calm Ambient 3 (Lifewave 2k)",
	x = trackspositionx,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

vaporwareb = {
	text = "Calm piano 1 (Vaporware)",
	x = trackspositionx,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

sirensindarknessb = {
	text = "Sirens in darkness",
	x = trackspositionx,
	y = trackspositiony+bcspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

song18b = {
	text = "Crystal cave song",
	x = trackspositionx,
	y = trackspositiony+bcspace*7,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

song21b = {
	text = "Mysterious ambience song",
	x = trackspositionx,
	y = trackspositiony+bcspace*8,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

enchantedtikib = {
	text = "enchanted_tiki_86",
	x = trackspositionx,
	y = trackspositiony+bcspace*9,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

icyrealmb = {
	text = "Icy Realm",
	x = trackspositionx-400,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

anotheraugustb = {
	text = "Another August ",
	x = trackspositionx-400,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

novembersnowb = {
	text = "November Snow",
	x = trackspositionx-400,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

happylullabyb = {
	text = "Happy Lullaby",
	x = trackspositionx-400,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

thehexb = {
	text = "The Hex",
	x = trackspositionx-400,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


kufriksongb = {
	text = "Kufrik",
	x = trackspositionx+bcspace*4,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

classicmenusongb = {
	text = "Menu",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky1b = {
	text = "rybky1",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky2b = {
	text = "rybky2",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky3b = {
	text = "rybky3",
	x = trackspositionx,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky4b = {
	text = "rybky4",
	x = trackspositionx,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky5b = {
	text = "rybky5",
	x = trackspositionx,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky6b = {
	text = "rybky6",
	x = trackspositionx+bcspace*4,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky7b = {
	text = "rybky7",
	x = trackspositionx+bcspace*4,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky8b = {
	text = "rybky8",
	x = trackspositionx+bcspace*4,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky9b = {
	text = "rybky9",
	x = trackspositionx+bcspace*4,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky10b = {
	text = "rybky10",
	x = trackspositionx+bcspace*4,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky11b = {
	text = "rybky11",
	x = trackspositionx+bcspace*8,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


rybky12b = {
	text = "rybky12",
	x = trackspositionx+bcspace*8,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky13b = {
	text = "rybky13",
	x = trackspositionx+bcspace*8,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky14b = {
	text = "rybky14",
	x = trackspositionx+bcspace*8,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rybky15b = {
	text = "rybky15",
	x = trackspositionx+bcspace*8,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}
--authors

classictracksb = {
	text = "Classic tracks",
	x = trackspositionx-bcspace*5,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


pixelsphereb = {
	text = "PIXELSPHERE by Alex Smith",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

isaiah658b = {
	text = "isaiah658",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

ambientrelaxingloopb = {
	text = "Ambient_relaxing loop",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

underwaterambientpadb = {
	text = "Underwater ambient pad",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

umplixb = {
	text = "umplix",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

deepseab = {
	text = "Deep Sea",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

sinkingfeelingb = {
	text = "Sinking feeling",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

ericmatyasb = {
	text = "Eric Matyas",
	x = trackspositionx,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

hypnoticpuzzleb = {
	text = "Hypnotic puzzle",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

dreamingofreefsb = {
	text = "Dreaming of Reefs",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

islandofmysteriesb = {
	text = "Island of mysteries",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

monkeyislandbandb = {
	text = "Monkey island Band",
	x = trackspositionx,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

puzzlegame2b = {
	text = "Puzzle game 2",
	x = trackspositionx,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

theyarehereb = {
	text = "They are here",
	x = trackspositionx,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}



cleytonkauffmanb = {
	text = "Cleyton Kauffman",
	x = trackspositionx,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

underwaterthemeIb = {
	text = "Underwater theme I",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

underwaterthemeIIb = {
	text = "Underwater theme II",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

marcelofgb = {
	text = "marcelofg55",
	x = trackspositionx,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

airyambienceb = {
	text = "Airy ambience",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

springyspringob = {
	text = "SpringySpringo",
	x = trackspositionx,
	y = trackspositiony+bcspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

waterambienceb = {
	text = "Water ambience",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

tokyogeishab = {
	text = "TokyoGeisha",
	x = trackspositionx,
	y = trackspositiony+bcspace*7,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

dreamambienceb = {
	text = "Dream ambience",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

dreamambience2b = {
	text = "Dream ambience II",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

creepb = {
	text = "Creepy",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

poinlb = {
	text = "Poinl",
	x = trackspositionx,
	y = trackspositiony+bcspace*8,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


nautilusb = {
	text = "Ambient 2 (Nautilus)",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


hectavexb = {
	text = "hectavex",
	x = trackspositionx,
	y = trackspositiony+bcspace*9,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


hectavexrupture = {
	text = "Rupture",
	x = trackspositionx,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

hectavexrupturechorus = {
	text = "Rupture with chorus",
	x = trackspositionx+bcspace*4,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

hectavexova = {
	text = "Ova",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

hectavexvanish = {
	text = "Vanish",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

tedkerrb = {
	text = "Ted Kerr",
	x = trackspositionx-bcspace*5,
	y = trackspositiony,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

tedkerrcrashedship = {
	text = "Crashed Ship",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}
tedkerrscifib = {
	text = "Space / Scifi Ambient",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

isaob = {
	text = "Isao",
	x = trackspositionx-bcspace*5,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}
isaoupbeatb = {
	text = "Upbeat Refreshing Commercial",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}
isaoepicb = {
	text = "Epic Melodic Electronic Dance Music",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

viktorkrausb = {
	text = "Viktor Kraus",
	x = trackspositionx-bcspace*5,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

glitchappb = {
	text = "Mixes",
	x = trackspositionx-bcspace*5,
	y = trackspositiony+bcspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

arobotswaytoheavenb = {
	text = "A robot's way to heaven",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

hexhappylullabyb = {
	text = "hex & happy lullaby",
	x = trackspositionx,
	y = trackspositiony+bcspace,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

remix1b = {
	text = "Remix 1",
	x = trackspositionx,
	y = trackspositiony+bcspace*2,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}


remix2b = {
	text = "Remix 2",
	x = trackspositionx,
	y = trackspositiony+bcspace*3,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

remix35b = {
	text = "Remix 35",
	x = trackspositionx,
	y = trackspositiony+bcspace*4,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

rupturemb = {
	text = "Rupture",
	x = trackspositionx,
	y = trackspositiony+bcspace*5,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

remix4b = {
	text = "Remix 4",
	x = trackspositionx,
	y = trackspositiony+bcspace*6,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

tylermixb = {
	text = "Aquaria remix",
	x = trackspositionx,
	y = trackspositiony+bcspace*7,
	r = 0,
	sx = 1,
	hovered = false,
	color = {1,1,1},
	hoveredColor = {1,1,0},
	font = poorfishmiddle,
}

end

--The musicupdate(dt) function is used to update the state of the music player.
--If cdplaying is true, it will rotate the CD by decreasing the cdangle value based on cdspeed multiplied by the dt parameter which represents the time elapsed since the last update. If cdangle becomes greater than 360, it is reset to 0.
function musicupdate(dt)
		
		
		volume = love.audio.getVolume(music)
end

--The isButtonHovered(button) function takes a button object as an argument and returns true if the mouse pointer is currently hovering over the button. The function calculates the size of the button based on the font used, the sx and sy scaling factors, and the text of the button. It then checks if the mouse coordinates are within the bounds of the button, and returns true if they are.
local function isButtonHovered (button)
	local font = button.font or love.graphics.getFont( )
	local width = font:getWidth(button.text)
	local height = font:getHeight( )
	local sx, sy = button.sx or 1, button.sy or button.sx or 1
	local x, y = button.x, button.y
	local w, h = width*sx, height*sy
	local mx, my = love.mouse.getPosition()
	if mx >= x and mx <= x+w
		and my >= y and my <= y+h then
		button.w, button.h = w, h
		return true
	end
	if love.mouse.isDown(1) then timer=0 end	-- restart timer counter if mouse click pressed
	return false
end

--The drawButton(button, hovered) function is used to draw a button to the screen. It takes a button object and a hovered boolean value as arguments. If hovered is true, it will set the color of the button to button.hoveredColor and draw a rectangle around it. Otherwise, it will use button.color as the color. The function then sets the font, prints the button text at the specified position, and applies the rotation and scaling specified by the button.r, button.sx, and button.sy parameters.
local function drawButton (button, hovered)
	
	love.graphics.setFont( button.font )
	if hovered then
		love.graphics.setColor(button.hoveredColor)
		love.graphics.rectangle ('line', button.x, button.y, button.w, button.h)
	else
		love.graphics.setColor(button.color)
	end
	love.graphics.print(button.text,button.x,button.y,button.r,button.sx)
end


--[[This is a Lua function that appears to be a part of a music player GUI. It takes a single argument "dt" which is most likely the time in seconds since the last update.

The function first sets the color to a semi-transparent white and draws a CD cover image at a specific position. It then checks if the "creditsReturnButton" is being hovered over by the mouse and draws the button with the appropriate hover state. If the button is clicked, it stops the current audio track and either loads a new one or goes back to the level selection menu, depending on the value of the "author" variable.

The function then checks if the "stopbutton" is being hovered over and drawn it with the appropriate hover state. If the button is clicked, it stops the current audio track and sets various variables to their default values.

Finally, the function checks if the "kufriksongb" and "classicmenusongb" buttons are being hovered over and draws them with the appropriate hover state. If either button is clicked and the corresponding track is unlocked, it loads and plays the audio track and sets various variables to their respective values. If the corresponding track is locked, it plays a negative sound effect.
--]]
function musicdrawcd(dt)
	--love.graphics.setColor(1,1,1,0.5)
	--love.graphics.draw(covercd,900,0,0,1)
	--love.graphics.setColor(1,1,1,1)
end

function musiccreditsdraw(dt)
		if author=="classictracks" and not (author==nil) then
		
					love.graphics.setFont(poorfish)
					love.graphics.print(classictrackst,100,100,0,1)
						
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(classictrackst2,100,150,0,1)
						
					
	elseif author=="pixelsphere" then
	
					love.graphics.setFont(poorfish)
					love.graphics.print(pixelspheret,100,100,0,1)
					
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(pixelspheret2,100,150,0,1)
					love.graphics.print(pixelspheret3,300,150,0,1)
					
					
	elseif author=="isaiah658" then
					love.graphics.setFont(poorfish)
					love.graphics.print(isaiah658t,100,100,0,1)
					
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(isaiah658t2,100,150,0,1)
					
					
	elseif author=="umplix" then
					
					love.graphics.setFont(poorfish)
					love.graphics.print(umplixt,100,100,0,1)
					
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(umplixt2,100,150,0,1)
					
					
	elseif author=="ericmatyas" then
					love.graphics.setFont(poorfish)
					love.graphics.print(ericmatyast,100,100,0,1)
					
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(ericmatyast2,100,160,0,1)
					love.graphics.print(ericmatyast3,100,190,0,1)
					
					
	elseif author=="cleytonkauffman" then
					love.graphics.setFont(poorfish)
					love.graphics.print(cleytonkauffmant,100,100,0,1)
					
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(cleytonkauffmant2,100,160,0,1)
					love.graphics.print(cleytonkauffmant3,100,190,0,1)
					
					
	elseif author=="marcelofg55" then
				
					love.graphics.setFont(poorfish)
					love.graphics.print(marcelofgt,100,100,0,1)
					
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(marcelofgt2,100,160,0,1)
					love.graphics.print(marcelofgt3,100,190,0,1)
					
					
	elseif author=="springyspringo" then
					love.graphics.setFont(poorfish)
					love.graphics.print(springyspringot,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(springyspringot2,100,160,0,1)
					
					
	elseif author=="tokyogeisha" then
					love.graphics.setFont(poorfish)
					love.graphics.print(tokygeishat,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(tokygeishat2,100,160,0,1)
					
					
	elseif author=="poinl" then
					love.graphics.setFont(poorfish)
					love.graphics.print(poinlt,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(poinlt2,100,160,0,1)
					
					
	elseif author=="hectavex" then
					love.graphics.setFont(poorfish)
					love.graphics.print(hectavext,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(hectavext2,100,160,0,1)
					
					
	elseif author=="tedkerr" then
					love.graphics.setFont(poorfish)
					love.graphics.print(tedkerrt,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(tedkerrt2,100,160,0,1)
					
					
	elseif author=="isao" then
					love.graphics.setFont(poorfish)
					love.graphics.print(isaot,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(isaot2,100,160,0,1)
					
					
	elseif author=="viktorkraus" then
					love.graphics.setFont(poorfish)
					love.graphics.print(viktorkraus,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(viktorkraus2,100,160,0,1)
					
					
	elseif author=="glitchapp" then
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(glitchappt,100,100,0,1)
					love.graphics.setFont(poorfishsmall)
					love.graphics.print(glitchappt2,100,160,0,1)
					
	end
	love.graphics.print(currenttrackname,100,250,0,1)
	love.graphics.print(currenttrackdesc,100,750+bcspace,0,1)
	love.graphics.print("rate: " .. rate .. " channels: " .. channels,100,800+bcspace,0,1)
end

function musicdraw(dt)

--[[
	local hovered = isButtonHovered (playButton)
	drawButton (playButton, hovered)
	if hovered and love.mouse.isDown(1) then 
		TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static")
		if playerplaying==true then
			playerplaying=false
			--love.audio.stop()
			love.audio.pause()
			love.timer.sleep( 0.3 )
		elseif playerplaying==false then
		 playerplaying=true 
		 love.audio.play()
		 love.timer.sleep( 0.3 )
		 end
	end
--]]

	-- Music player controls
	local hovered = isButtonHovered (musicbackwardbutton)
	drawButton (musicbackwardbutton, hovered)
	if hovered and love.mouse.isDown(1) and cdplaying then
	musicposition = music:tell( "seconds" )
	music:seek( musicposition-5, "seconds" )
	love.timer.sleep( 0.2 )
	end
	
	local hovered = isButtonHovered (musicstopbutton)
	drawButton (musicstopbutton, hovered)
	if hovered and love.mouse.isDown(1) then
	love.audio.stop()
	cdplaying=false
		TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_021.ogg","static")
		currenttrackname=""
		currenttrackdesc=""
		rate=0
		channels=0
	love.timer.sleep( 0.3 )
	end
	
	if cdplaying and gamestatus=="music" then
		if res=="1080p" then
			-- Track position
			love.graphics.rectangle( "fill", 500, 800, music:tell( "seconds" )*2, 25 )
			love.graphics.rectangle( "line", 500, 795, music:getDuration( "seconds" )*2, 35 )
			love.graphics.print("Playing: " .. math.floor(music:tell( "seconds" )/ 60) .. " : " .. math.floor(music:tell( "seconds" )% 60),300,900,0, 0.8, 1) 
			love.graphics.print("Duration: " .. math.floor(music:getDuration( "seconds" )/ 60) .. " : " .. math.floor(music:getDuration( "seconds" )% 60),900,900,0, 0.8, 1) 
		else
			-- Track position
			love.graphics.rectangle( "fill", 1000, 1100, music:tell( "seconds" )*2, 25 )
			love.graphics.rectangle( "line", 1000, 1095, music:getDuration( "seconds" )*2, 35 )
			love.graphics.print("Playing: " .. math.floor(music:tell( "seconds" )/ 60) .. " : " .. math.floor(music:tell( "seconds" )% 60),600,1200,0, 0.8, 1) 
			love.graphics.print("Duration: " .. math.floor(music:getDuration( "seconds" )/ 60) .. " : " .. math.floor(music:getDuration( "seconds" )% 60),1400,1200,0, 0.8, 1) 

			
			--drawequalizer()			-- equalizer and volume controls are in musicequalizer.lua
			drawvolumecontrols()	
		end
	end
	
	local hovered = isButtonHovered (musicforwardbutton)
	drawButton (musicforwardbutton, hovered)
	if hovered and love.mouse.isDown(1) and cdplaying then
	musicposition = music:tell( "seconds" )
	music:seek( musicposition+5, "seconds" )
	love.timer.sleep( 0.2 )
	end
	
	if  cdplaying then
	-- Volume controls
	local hovered = isButtonHovered (volumedownbutton)
	drawButton (volumedownbutton, hovered)
	if hovered and love.mouse.isDown(1) and cdplaying then
		volume=volume-0.1
		love.audio.setVolume( volume )
	love.timer.sleep( 0.2 )
	end
	
	-- Volume controls
	local hovered = isButtonHovered (volumeupbutton)
	drawButton (volumeupbutton, hovered)
	if hovered and love.mouse.isDown(1) and cdplaying then
		volume=volume+0.1
		love.audio.setVolume( volume )
	love.timer.sleep( 0.2 )
	end
	end
		if author=="classictracks" and not (author==nil) then
					
			local hovered = isButtonHovered (kufriksongb)
			drawButton (kufriksongb, hovered)
			if hovered and love.mouse.isDown(1) then
					cdplaying=true
					kufriksong = love.audio.newSource( "/music/classic/kufrik.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/kufrik.ogg") 
					end
					currenttrackname=kufriksongt
						currenttrackdesc=kufriksongt2
					love.timer.sleep( 0.3 )
				
			end
			
						local hovered = isButtonHovered (classicmenusongb)
			drawButton (classicmenusongb, hovered)
			if hovered and love.mouse.isDown(1) then
			
					cdplaying=true
					classicmenusong = love.audio.newSource( "/music/classic/menu.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/menu.ogg") 
					end
					currenttrackname=kufriksongt
						currenttrackdesc=kufriksongt2
					love.timer.sleep( 0.3 )
			
			end
		
			--rybky1
		
			local hovered = isButtonHovered (rybky1b)
			drawButton (rybky1b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky1 = love.audio.newSource( "/music/classic/rybky01.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky01.ogg") 
					end
						currenttrackname=rybky1t
						currenttrackdesc=rybky1t2
						love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky2
									
			local hovered = isButtonHovered (rybky2b)
			if rybky2_song==true then drawButton (rybky2b, hovered) end												--unlocked song
			if hovered and love.mouse.isDown(1) then
			
					cdplaying=true
					rybky2 = love.audio.newSource( "/music/classic/rybky02.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky02.ogg") 
					end
					currenttrackname=rybky2t
						currenttrackdesc=rybky2t2
					love.timer.sleep( 0.3 )
			end
			
			--rybky3
			
		
			
			local hovered = isButtonHovered (rybky3b)
			if rybky3_song==true then drawButton (rybky3b, hovered) end												--unlocked song
			if hovered and love.mouse.isDown(1) then
			
					cdplaying=true
					rybky3 = love.audio.newSource( "/music/classic/rybky03.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky03.ogg") 
					end
					currenttrackname=rybky3t
						currenttrackdesc=rybky3t2
					love.timer.sleep( 0.3 )
				
			
			end
			
			--rybky4
			
			
			
			local hovered = isButtonHovered (rybky4b)
			drawButton (rybky4b, hovered)
			if hovered and love.mouse.isDown(1) then
			
					cdplaying=true
					rybky4 = love.audio.newSource( "/music/classic/rybky04.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky04.ogg") 
					end
					currenttrackname=rybky4t
						currenttrackdesc=rybky4t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky5
			
			
			
			local hovered = isButtonHovered (rybky5b)
			drawButton (rybky5b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky5 = love.audio.newSource( "/music/classic/rybky05.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky05.ogg") 
					end
					currenttrackname=rybky5t
						currenttrackdesc=rybky5t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky6
			
			
			
			local hovered = isButtonHovered (rybky6b)
			drawButton (rybky6b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky6 = love.audio.newSource( "/music/classic/rybky06.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky06.ogg") 
					end
					currenttrackname=rybky6t
						currenttrackdesc=rybky6t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky7
			
				

			local hovered = isButtonHovered (rybky7b)
			drawButton (rybky7b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky7 = love.audio.newSource( "/music/classic/rybky07.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky07.ogg") 
					end
					currenttrackname=rybky7t
						currenttrackdesc=rybky7t2
					love.timer.sleep( 0.3 )
				
				
			end
					
			--rybky9
			
			local hovered = isButtonHovered (rybky9b)
			drawButton (rybky9b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky9 = love.audio.newSource( "/music/classic/rybky09.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky09.ogg") 
					end
					currenttrackname=rybky9t
						currenttrackdesc=rybky9t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky10
			
			local hovered = isButtonHovered (rybky10b)
			drawButton (rybky10b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky10 = love.audio.newSource( "/music/classic/rybky10.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky10.ogg") 
					end
					currenttrackname=rybky10t
						currenttrackdesc=rybky10t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky11
			
			local hovered = isButtonHovered (rybky11b)
			drawButton (rybky11b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky11 = love.audio.newSource( "/music/classic/rybky11.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky11.ogg") 
					end
					currenttrackname=rybky11t
						currenttrackdesc=rybky11t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky13
			
			local hovered = isButtonHovered (rybky13b)
			drawButton (rybky13b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky13 = love.audio.newSource( "/music/classic/rybky13.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky13.ogg") 
					end
					currenttrackname=rybky13t
						currenttrackdesc=rybky13t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky14
			
			local hovered = isButtonHovered (rybky14b)
			drawButton (rybky14b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky14 = love.audio.newSource( "/music/classic/rybky14.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky14.ogg") 
					end
					currenttrackname=rybky14t
						currenttrackdesc=rybky14t2
					love.timer.sleep( 0.3 )
				
				
			end
			
			--rybky15
			
			local hovered = isButtonHovered (rybky15b)
			drawButton (rybky15b, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					rybky15 = love.audio.newSource( "/music/classic/rybky15.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/classic/rybky15.ogg") 
					end
					currenttrackname=rybky15t
						currenttrackdesc=rybky15t2
					love.timer.sleep( 0.3 )
				
				
			end
			end


		if author=="pixelsphere" then
			
	
			local hovered = isButtonHovered (icyrealmb)
			drawButton (icyrealmb, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					icyrealm = love.audio.newSource( "/music/pixelsphere/019_seven_and_eight_7-8_combined.ogg","stream" )
					if musicison==true then love.audio.stop() --love.audio.play( icyrealm  ) 		
						equalizerload("/music/pixelsphere/019_seven_and_eight_7-8_combinedloop.ogg") 
					end
					currenttrackname=pixelsevenandeight
					currenttrackdesc=pixelsevenandeight2
					love.timer.sleep( 0.3 )
				
				
			end
	
		
			local hovered = isButtonHovered (anotheraugustb)
			drawButton (anotheraugustb, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					anotheraugust = love.audio.newSource( "/music/pixelsphere/013_Another_August.ogg","stream" )
					if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/013_Another_August.ogg") end
					currenttrackname=pixelsevenandeight currenttrackdesc=pixelsevenandeight2
					love.timer.sleep( 0.3 )
					
				
			end
	
		local hovered = isButtonHovered (novembersnowb)
		drawButton (novembersnowb, hovered)
		
		if hovered and love.mouse.isDown(1) then
			
				cdplaying=true
				novembersnow = love.audio.newSource( "/music/pixelsphere/155 November_snow-33_tape_leveled.ogg","stream" )
				if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/155 November_snow-33_tape_leveled.ogg") end
					currenttrackname=pixelnovembersnow
					currenttrackdesc=pixelnovembersnow2
					love.timer.sleep( 0.3 )
			
		end
	
	
	
	local hovered = isButtonHovered (synthwave421kb)
	drawButton (synthwave421kb, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			synthwave421k = love.audio.newSource( "/music/pixelsphere/007_Synthwave_421k.ogg","stream" )
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/007_Synthwave_421k.ogg") end
				currenttrackname=pixelcalmrelax
				currenttrackdesc=pixelcalmrelax2
				love.timer.sleep( 0.3 )
		
	end
	
	
	local hovered = isButtonHovered (synthwave4kb)
	drawButton (synthwave4kb, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/001_Synthwave_4k.ogg") end
				currenttrackname=pixelcalmambientI
				currenttrackdesc=pixelcalmambientI2
				love.timer.sleep( 0.3 )
		
	end
	
	local hovered = isButtonHovered (aquariab)
	drawButton (aquariab, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/TylerSong3_Normal_loop.ogg") end
			currenttrackname=pixelaquaria
			currenttrackdesc=pixelaquaria2
			love.timer.sleep( 0.3 )
	end
	
	local hovered = isButtonHovered (synthwave15kb)
	drawButton (synthwave15kb, hovered)
	if hovered and love.mouse.isDown(1) then
	
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/002_Synthwave_15k.ogg") end
				currenttrackname=pixelcalmambientII
				currenttrackdesc=pixelcalmambientII2
				love.timer.sleep( 0.3 )
	
	end
	
	
	local hovered = isButtonHovered (lifewave2kb)
	
	drawButton (lifewave2kb, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/006_lifeWave2k.ogg") end
				currenttrackname=pixelcalmambientIII
				currenttrackdesc=pixelcalmambientIII2
				love.timer.sleep( 0.3 )
		
	end
	
	
	local hovered = isButtonHovered (vaporwareb)
	drawButton (vaporwareb, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/003_Vaporwareloop.ogg") end
				currenttrackname=pixelvapor
				currenttrackdesc=pixelvapor2
				love.timer.sleep( 0.3 )
		
	end
	
	
	local hovered = isButtonHovered (sirensindarknessb)
	drawButton (sirensindarknessb, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/012_Sirens_in_Darkness.ogg") end
				currenttrackname=pixelsirens
				currenttrackdesc=pixelsirens2
				love.timer.sleep( 0.3 )
		
	end
	
	
	local hovered = isButtonHovered (song18b)
	 drawButton (song18b, hovered)
	
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/song18loop.ogg") end
			currenttrackname=pixelsong18
			currenttrackdesc=pixelsong182
			love.timer.sleep( 0.3 )
		
	end

	
	local hovered = isButtonHovered (song21b)
	 drawButton (song21b, hovered)
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/song21loop.ogg")	end
			currenttrackname=pixelsong21
			currenttrackdesc=pixelsong212
			love.timer.sleep( 0.3 )
		
	end

	
	local hovered = isButtonHovered (enchantedtikib)
	
	drawButton (enchantedtikib, hovered)
	
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/enchanted_tiki_86.ogg") end
				currenttrackname=pixelenchanted
				currenttrackdesc=pixelenchanted2
				love.timer.sleep( 0.3 )
			
			end
		
		
	
	local hovered = isButtonHovered (happylullabyb)
	
	drawButton (happylullabyb, hovered)
	
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/song17.ogg") end
				currenttrackname=pixelHappyLullaby
				currenttrackdesc=pixelHappyLullaby2
				love.timer.sleep( 0.3 )
			
			end
		
		
		
	local hovered = isButtonHovered (thehexb)
	
	drawButton (thehexb, hovered)
	
	if hovered and love.mouse.isDown(1) then
		
			cdplaying=true
			if musicison==true then love.audio.stop() equalizerload("/music/pixelsphere/the_hex_09.ogg") end
				currenttrackname=pixelTheHex
				currenttrackdesc=pixelTheHex2
				love.timer.sleep( 0.3 )
		
			end
		
											--- isaiah658 ---
		end									
		if author=="isaiah658" then
			
					
			
		
			
			local hovered = isButtonHovered (ambientrelaxingloopb)
			
		 drawButton (ambientrelaxingloopb, hovered)
			
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					if musicison==true then love.audio.stop() equalizerload("/music/isaiah658/Ambient_Loop_isaiah658loop.ogg") end
					currenttrackname=isaiahambient
					currenttrackdesc=isaiahambient2
					love.timer.sleep( 0.3 )
				
			end
			
			
			
			local hovered = isButtonHovered (underwaterambientpadb)
			 drawButton (underwaterambientpadb, hovered) 
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					if musicison==true then love.audio.stop() equalizerload("/music/isaiah658/Underwater-Ambient-Pad-isaiah658loop.ogg") end
					currenttrackname=isaiahunderwater
					currenttrackdesc=isaiahunderwater2
					love.timer.sleep( 0.3 )
				
			end
			
		end										--- umplix ---
		if author=="umplix" then
			

			
			local hovered = isButtonHovered (deepseab)
			drawButton (deepseab, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					if musicison==true then love.audio.stop() equalizerload("/music/umplix/deep_sea.ogg") end
						currenttrackname=umplixdeepsea
						currenttrackdesc=umplixdeepsea2
						love.timer.sleep( 0.3 )
				
			end
			
			
			local hovered = isButtonHovered (sinkingfeelingb)
			 drawButton (sinkingfeelingb, hovered)
			if hovered and love.mouse.isDown(1) then
				
					cdplaying=true
					if musicison==true then love.audio.stop() equalizerload("/music/umplix/sinking_feeling_loop.ogg") end
						currenttrackname=umplixsinkingfeeling
						currenttrackdesc=umplixsinkingfeeling2
						love.timer.sleep( 0.3 )
					
				
			end
			
												--- Eric Matyas
		end
		if author=="ericmatyas" then
			
							
			
		
			local hovered = isButtonHovered (hypnoticpuzzleb)
			 drawButton (hypnoticpuzzleb, hovered)
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/EricMatyas/Hypnotic_Puzzle_loop.ogg") end
							currenttrackname=ericmatyashyp
							currenttrackdesc=ericmatyashyp2
							love.timer.sleep( 0.3 )
					
				end
			
			

			local hovered = isButtonHovered (dreamingofreefsb)
			 drawButton (dreamingofreefsb, hovered)
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() --love.audio.play( hypnoticpuzzle  ) 
							equalizerload("/music/EricMatyas/Dreaming-of-Reefs_loop.ogg") 
						end
						currenttrackname=ericmatyasdream
						currenttrackdesc=ericmatyasdream2
						love.timer.sleep( 0.3 )
					
				end
			
			
	
			local hovered = isButtonHovered (islandofmysteriesb)
			drawButton (islandofmysteriesb, hovered)
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/EricMatyas/island_of_mysteriesloop.ogg") end
						currenttrackname=ericmatyastislandofmysteries
						currenttrackdesc=ericmatyastislandofmysteries
						love.timer.sleep( 0.3 )
					
				end
			
			
			
			local hovered = isButtonHovered (monkeyislandbandb)
			drawButton (monkeyislandbandb, hovered)
				if hovered and love.mouse.isDown(1) then
					
					cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/EricMatyas/Monkey_Island_Band.ogg") end
							currenttrackname=ericmatyastMonkeyIslandBand
							currenttrackdesc=ericmatyastMonkeyIslandBand2
							love.timer.sleep( 0.3 )
					
				end
			
				
				local hovered = isButtonHovered (puzzlegame2b)
				 drawButton (puzzlegame2b, hovered)
				
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/EricMatyas/PuzzleGame2.ogg") end
						currenttrackname=ericmatyastPuzzleGame 	currenttrackdesc=ericmatyastPuzzleGame2
						love.timer.sleep( 0.3 )
					
				end
			
					
							local hovered = isButtonHovered (theyarehereb)
					 drawButton (theyarehereb, hovered) 
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/EricMatyas/theyarehereloop.ogg")
							end
							currenttrackname=ericmatyastTheyarehere currenttrackdesc=ericmatyastTheyarehere2
							love.timer.sleep( 0.3 )
						
							
					end
			
									--- Cleyton Kauffman ---
			end
			if author=="cleytonkauffman" then
				
			
			
			local hovered = isButtonHovered (underwaterthemeIb)
			 drawButton (underwaterthemeIb, hovered)
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/cleytonKauffman/CleytonRX-Underwater.ogg") end
						currenttrackname=cleytonkauffmanunderwaterI currenttrackdesc=cleytonkauffmanunderwaterI2
						love.timer.sleep( 0.3 )
						
					
				end	
				

						
			local hovered = isButtonHovered (underwaterthemeIIb)
			
				drawButton (underwaterthemeIIb, hovered)
			
				if hovered and love.mouse.isDown(1) then
			
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/cleytonKauffman/Underwater_Theme_II_loop.ogg") end
							currenttrackname=cleytonkauffmanunderwaterII currenttrackdesc=cleytonkauffmanunderwaterII2
							love.timer.sleep( 0.3 )
			
				end
				
								--- marcelog ---
			end						
				if author=="marcelofg55" then
					
					
					local hovered = isButtonHovered (airyambienceb)
					
						drawButton (airyambienceb, hovered)
					
					if hovered and love.mouse.isDown(1) then
					
							cdplaying=true
							if musicison==true then love.audio.stop() equalizerload("/music/marcelofg55/AiryAmbience.ogg") end
								currenttrackname=marcelofgairy
								currenttrackdesc=marcelofgairy2
								love.timer.sleep( 0.3 )
							
					
					end
					
								---  springyspringo  ---
				end	
					if author=="springyspringo" then
						
						
					
					local hovered = isButtonHovered (waterambienceb)
					drawButton (waterambienceb, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() equalizerload("/music/SpringySpringo/thalassophobia_loop.ogg") end
							currenttrackname=springywater
							currenttrackdesc=springywater2
							love.timer.sleep( 0.3 )
						
					end
					
							---  Tokyo Geisha  ---
						
					end	
					if author=="tokyogeisha" then
						
					
					
					local hovered = isButtonHovered (dreamambienceb)
					drawButton (dreamambienceb, hovered)
							
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() equalizerload("/music/tokyogeisha/DreamAmbience.ogg") end
								currenttrackname=tokygeishaambience
								currenttrackdesc=tokygeishaambience2
								love.timer.sleep( 0.3 )
						
					end
				
				local hovered = isButtonHovered (dreamambience2b)
				 drawButton (dreamambience2b, hovered)
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/tokyogeisha/DreamAmbience2.ogg") end
							currenttrackname=tokygeishaambienceII
							currenttrackdesc=tokygeishaambienceII2
							love.timer.sleep( 0.3 )
					
				end
				
				
				local hovered = isButtonHovered (creepb)
				 drawButton (creepb, hovered)
				if hovered and love.mouse.isDown(1) then
					
						cdplaying=true
						if musicison==true then love.audio.stop() equalizerload("/music/tokyogeisha/creep.ogg") end
							currenttrackname=tokygeishacreep
							currenttrackdesc=tokygeishacreep2
							love.timer.sleep( 0.3 )
					
				end
			
						--- poinl ---
			end
				if author=="poinl" then
					
									
					
					local hovered = isButtonHovered (nautilusb)
					 drawButton (nautilusb, hovered)
							
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/poinl/ambient2_Nautilus.ogg") end
								currenttrackname=poinlnautilus
								currenttrackdesc=poinlnautilus2
								love.timer.sleep( 0.3 )
						
					end
					
					
						--- hectavex ---
					end
					if author=="hectavex" then
						
					
					
					local hovered = isButtonHovered (hectavexrupture)
					 drawButton (hectavexrupture, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/hectavex/rupture.ogg") end
								currenttrackname=hectavexrupture
								currenttrackdesc=hectavexrupture2
								love.timer.sleep( 0.3 )
						
					end
					
					
					local hovered = isButtonHovered (hectavexova)
					 drawButton (hectavexova, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/hectavex/ova.ogg") end
								currenttrackname=hectavexova
								currenttrackdesc=hectavexova2
								love.timer.sleep( 0.3 )
						
					end
					
				
					
					local hovered = isButtonHovered (hectavexvanish)
					drawButton (hectavexvanish, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/hectavex/vanish.ogg") end
								currenttrackname=hectavexvanish
								currenttrackdesc=hectavexvanish2
								love.timer.sleep( 0.3 )
						
					end
			
					
									
										---	Tedkerr	---
		end
		if author=="tedkerr" then
					
		
		
					
					local hovered = isButtonHovered (tedkerrcrashedship)
					 drawButton (tedkerrcrashedship, hovered)
					if hovered and love.mouse.isDown(1) then
						
								cdplaying=true
								if musicison==true then love.audio.stop() equalizerload("/music/TedKerr/CrashedShip.ogg") end
									currenttrackname=tedkerrcrashedship
									currenttrackdesc=tedkerrcrashedship2
									love.timer.sleep( 0.3 )
						
					end
					
					
					local hovered = isButtonHovered (tedkerrscifib)
					 drawButton (tedkerrscifib, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() equalizerload("/music/TedKerr/scifiambient_loop.ogg") end
								currenttrackname=tedkerrscifi
								currenttrackdesc=tedkerrscifi2
								love.timer.sleep( 0.3 )
						
					end
					
												--- isao ---
				end								
				if author=="isao" then
												
					
					
					local hovered = isButtonHovered (isaoupbeatb)
					 drawButton (isaoupbeatb, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/ISAo/dova_STARRY NEW HYPE_master_loop.ogg") end
								currenttrackname=isaoupbeat
								currenttrackdesc=isaoupbeat2
								love.timer.sleep( 0.3 )
						
					end
					
					
					local hovered = isButtonHovered (isaoepicb)
					 drawButton (isaoepicb, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/ISAo/dova_instavista_master_loop.ogg") end
								currenttrackname=isaoepicdance
								currenttrackdesc=isaoepicdance2
								love.timer.sleep( 0.3 )
						
					end
					
												--- Viktor Kraus ---
				end								
				if author=="viktorkraus" then
					
				
				
					local hovered = isButtonHovered (arobotswaytoheavenb)
					 drawButton (arobotswaytoheavenb, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/ViktorKraus/ARobotswaytoHeaven.ogg") end
								currenttrackname=arobotswaytoheaven
								currenttrackdesc=arobotswaytoheaven2
								love.timer.sleep( 0.3 )
						
					end
				
				end
											--- Glitchapp ---
											
				if author=="glitchapp" then
					
				
				
					local hovered = isButtonHovered (hexhappylullabyb)
				 drawButton (hexhappylullabyb, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/mixes/hexhappylullabymix.ogg") end
								currenttrackname=hexhappylullaby
								currenttrackdesc=hexhappylullaby2
								love.timer.sleep( 0.3 )
						
					end					
		
				
					local hovered = isButtonHovered (remix1b)
				 drawButton (remix1b, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/mixes/remix1.ogg") end
								currenttrackname=glitchappremix1
								currenttrackdesc=glitchappremix1_2
								love.timer.sleep( 0.3 )
						
					end		
		
			
					local hovered = isButtonHovered (remix2b)
			 drawButton (remix2b, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/mixes/remix2.ogg") end
								currenttrackname=glitchappremix2
								currenttrackdesc=glitchappremix2_2
								love.timer.sleep( 0.3 )
						
					end											
		
			
					local hovered = isButtonHovered (remix35b)
					 drawButton (remix35b, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/mixes/remix3.5.ogg") end
								currenttrackname=glitchappremix35
								currenttrackdesc=glitchappremix35_2
								love.timer.sleep( 0.3 )
						
					end	
					
			
					local hovered = isButtonHovered (rupturemb)
					  drawButton (rupturemb, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/mixes/rupturem1.ogg") end
								currenttrackname=glitchapprupturem1
								currenttrackdesc=glitchapprupturem1_2
								love.timer.sleep( 0.3 )
						
					end	
			
			
					local hovered = isButtonHovered (remix4b)
			 drawButton (remix4b, hovered)
					if hovered and love.mouse.isDown(1) then
						
							cdplaying=true
							if musicison==true then love.audio.stop() 
								equalizerload("/music/mixes/remix4hectapoinl.ogg") end
								currenttrackname=glitchappremix4_1
								currenttrackdesc=glitchappremix4_2
								love.timer.sleep( 0.3 )
						
					end	
					
			local hovered = isButtonHovered (tylermixb)
			drawButton (tylermixb, hovered)
			if hovered and love.mouse.isDown(1) then
					cdplaying=true
					if musicison==true then love.audio.stop() 
						equalizerload("/music/mixes/TylerMix.ogg")
					 end
						currenttrackname=glitchappaquariaremix
						currenttrackdesc=glitchappaquariaremix2
						love.timer.sleep( 0.3 )
					love.timer.sleep( 0.3 )
			end	
	end
--[[
This code fragment contains an if statement that checks if the value of the author variable is equal to the string "none". If this condition is true, the code checks if the boolean variable classictracksunlocked is true. If it is, it checks if the mouse cursor is hovering over a button (classictracksb) using the isButtonHovered function, and then draws the button using the drawButton function. If the button is hovered over and the left mouse button is pressed (love.mouse.isDown(1)), the code plays a sound effect using the TEsound.play function, sleeps for 1 second using the love.timer.sleep function, and finally sets the value of the author variable to the string "classictracks".

The code then repeats this process for two other buttons (pixelsphereb and isaiah658b) if their respective boolean variables (pixelsphereunlocked and isaiah658unlocked) are true. If the condition in the initial if statement is not true (i.e., if author is not "none"), the code will skip over all of these button-related statements.
--]]			
	if author=="none" then
	
	
		local hovered = isButtonHovered (classictracksb)
		drawButton (classictracksb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="classictracks"
		end
	

	
		local hovered = isButtonHovered (pixelsphereb)
		drawButton (pixelsphereb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="pixelsphere"
		end
	
	
	
		local hovered = isButtonHovered (isaiah658b)
		drawButton (isaiah658b, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="isaiah658"
		end
	
	
	
		local hovered = isButtonHovered (umplixb)
		drawButton (umplixb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="umplix"
		end
	
	
	
		local hovered = isButtonHovered (ericmatyasb)
		drawButton (ericmatyasb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="ericmatyas"
		end
	
	
	
		local hovered = isButtonHovered (cleytonkauffmanb)
		drawButton (cleytonkauffmanb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="cleytonkauffman"
		end
	
	
	
		local hovered = isButtonHovered (marcelofgb)
		drawButton (marcelofgb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="marcelofg55"
		end
	
	
	
		local hovered = isButtonHovered (springyspringob)
		drawButton (springyspringob, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="springyspringo"
		end
	
	
	
		local hovered = isButtonHovered (tokyogeishab)
		drawButton (tokyogeishab, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="tokyogeisha"
		end
	
	
	
		local hovered = isButtonHovered (poinlb)
		drawButton (poinlb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="poinl"
		end
	
	
	
		local hovered = isButtonHovered (hectavexb)
		drawButton (hectavexb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="hectavex"
		end
	
	
	
		local hovered = isButtonHovered (tedkerrb)
		drawButton (tedkerrb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="tedkerr"
		end
	
	
	
		local hovered = isButtonHovered (isaob)
		drawButton (isaob, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="isao"
		end
	
	
	
		local hovered = isButtonHovered (viktorkrausb)
		drawButton (viktorkrausb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="viktorkraus"
		end
	
	
	
		local hovered = isButtonHovered (glitchappb)
		drawButton (glitchappb, hovered)
		if hovered and love.mouse.isDown(1) then
			TEsound.play("sounds/GUI_Sound_Effects/GUI_Sound_Effects_024.ogg","static")
			love.timer.sleep( 1 )
			author="glitchapp"
		end
	

end
--[[
The first line uses the love.graphics.draw function to draw an image of a CD asset. The image is positioned at coordinates (400, 500) with a rotation angle of -cdangle. The last three arguments adjust the image's scale and origin point.

The following lines of code conditionally render text to the screen based on the value of author. If author is equal to the string "glitchapp", then several strings are printed to the screen using different font sizes and positions. The text includes glitchappt, currenttrackname, glitchappt2, and currenttrackdesc. These variables likely contain text descriptions or labels related to the current state of the game.
--]]

				
end

function drawrotatingcd(dt)

	love.graphics.draw(cdasset,400,500,-cdangle,0.3,0.3,712.5,712.5)

end
